//Ex3_71.cpp
#include "iostream" 
using namespace std;
void main() 
{int mark; 
 cin>>mark; 
 if (mark>=90) 
	cout<<"优"; 
 else if (mark>=80) 
	cout<<"良"; 
 else if (mark>=70) 
	cout<<"中"; 
 else if (mark>=60) 
	cout<<"及格"; 
 else
	cout<<"不及格"; 
}
